require 'fileutils'

module Pod
  class Command
    class Jysource
      # This is an example of a cocoapods plugin adding a top-level subcommand
      # to the 'pod' command.
      #
      # You can also create subcommands of existing or new commands. Say you
      # wanted to add a subcommand to `list` to show newly deprecated pods,
      # (e.g. `pod list deprecated`), there are a few things that would need
      # to change.
      #
      # - move this file to `lib/pod/command/list/deprecated.rb` and update
      #   the class to exist in the the Pod::Command::List namespace
      # - change this class to extend from `List` instead of `Command`. This
      #   tells the plugin system that it is a subcommand of `list`.
      # - edit `lib/cocoapods_plugins.rb` to require this file
      #
      # @todo Create a PR to add your plugin to CocoaPods/cocoapods.org
      #       in the `plugins.json` file, once your plugin is released.
      #
      class Clean < Jysource
        self.summary = '清理所有源码文件, 使用: pod jysource clean'

        self.description = <<-DESC
          删除全部文件
        DESC

        self.arguments = [
        
        ]

        def initialize(argv)
          super
        end

        def validate!
          super
        end

        def run
          target_path = '/Users/Shared/JYSource/Pods'
          if File.exist?(target_path) then
            FileUtils.rm_rf(target_path)
            UI.puts "\033[32m源码已清除成功...\033[0m\n"
          end
        end
      end
    end
  end
end
