module Pod
  class Command
    class Jysource
      # This is an example of a cocoapods plugin adding a top-level subcommand
      # to the 'pod' command.
      #
      # You can also create subcommands of existing or new commands. Say you
      # wanted to add a subcommand to `list` to show newly deprecated pods,
      # (e.g. `pod list deprecated`), there are a few things that would need
      # to change.
      #
      # - move this file to `lib/pod/command/list/deprecated.rb` and update
      #   the class to exist in the the Pod::Command::List namespace
      # - change this class to extend from `List` instead of `Command`. This
      #   tells the plugin system that it is a subcommand of `list`.
      # - edit `lib/cocoapods_plugins.rb` to require this file
      #
      # @todo Create a PR to add your plugin to CocoaPods/cocoapods.org
      #       in the `plugins.json` file, once your plugin is released.
      #
      class List < Jysource
        self.summary = '源码列表,         使用: pod jysource list'

        self.description = <<-DESC
          罗列已经下载的源码podname以及对应的版本
        DESC

        self.arguments = []

        def initialize(argv)
          super
        end

        def validate!
          super
        end

        def run
          target_path = '/Users/Shared/JYSource/Pods/'
          fileDir = Dir::pwd
          if File.exist?(target_path) then
            UI.puts "\033[33m已下载源码:\033[0m\n"
            Dir.entries(target_path).each do |sub|         
              if sub != '.' && sub != '..' 
                  subpath = "#{target_path}#{sub}"
                  if File.directory?(subpath)  
                      Dir.chdir(subpath)
                      version = `git describe --abbrev=0 --tags 2>/dev/null`
                      puts "#{sub}  #{version}"
                      Dir.chdir(fileDir)

                  end 
              end  
            end
          else
            UI.puts "\033[33m目前无源码...\033[0m\n"
          end
          
        end
      end
    end
  end
end
